org.apache.ignite.internal.util.typedef

## Class G

- java.lang.Object
- - org.apache.ignite.Ignition
  - - org.apache.ignite.internal.util.typedef.G

    public class G
    extends Ignition

Defines `alias` for `Ignition` by extending it. Since Java doesn't provide type aliases (like Scala, for example) we resort to these types of measures. This is intended to provide for more concise code in cases when readability won't be sacrificed. For more information see `Ignition`.

See Also:
  `Ignition`

### Field Summary

### Fields inherited from class org.apache.ignite.Ignition

`KILL_EXIT_CODE, RESTART_EXIT_CODE`

### Constructor Summary

Constructors
Constructor and Description
`G()`

### Method Summary

### Methods inherited from class org.apache.ignite.Ignition

`addListener, allGrids, ignite, ignite, ignite, isClientMode, isDaemon, kill, loadSpringBean, loadSpringBean, loadSpringBean, removeListener, restart, setClientMode, setDaemon, start, start, start, start, start, state, state, stop, stop, stopAll`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### G

    public G()

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.5.0-b1
Release Date | : December 1 2015